# Class: Delimiter

Defined in: | lib/Types/BasicTypes.coffee
Inherits: | Operation

## Overview

A delimiter is placed at the end and at the beginning of the associative lists. This is necessary in order to have a beginning and an end even if the content of the Engine is empty.

## Instance Method Summary

- # (void) isDeleted() If isDeleted() is true this operation won't be maintained in the sl
- # (void) execute() Private
- # (void) _encode() Private

## Inherited Method Summary

### Methods inherited from Operation

#on #callEvent #setParent #getUid #execute #saveOperation #validateSavedOperations

## Constructor Details

# (void) constructor(uid, prev_cl, next_cl, origin)

### Parameters:

- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.
- prev_cl ( `Operation` ) — The predecessor of this operation in the complete-list (cl)
- next_cl ( `Operation` ) — The successor of this operation in the complete-list (cl)

### See also:

- HistoryBuffer.getNextOperationIdentifier

## Instance Method Details

# (void) isDeleted()

If isDeleted() is true this operation won't be maintained in the sl

# (void) execute() Private

# (void) _encode() Private

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input